% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/mrs_data_display.R
\name{plot.mrs_data}
\alias{plot.mrs_data}
\title{Plotting method for objects of class mrs_data.}
\usage{
\method{plot}{mrs_data}(
  x,
  dyn = 1,
  x_pos = 1,
  y_pos = 1,
  z_pos = 1,
  coil = 1,
  fd = TRUE,
  x_units = NULL,
  xlim = NULL,
  y_scale = FALSE,
  x_ax = TRUE,
  mode = "re",
  lwd = NULL,
  bty = NULL,
  label = "",
  restore_def_par = TRUE,
  mar = NULL,
  xaxis_lab = NULL,
  yaxis_lab = NULL,
  xat = NULL,
  xlabs = TRUE,
  yat = NULL,
  ylabs = TRUE,
  show_grid = TRUE,
  grid_nx = NULL,
  grid_ny = NA,
  col = NULL,
  alpha = NULL,
  bl_lty = NULL,
  hline = NULL,
  hline_lty = 2,
  hline_col = "red",
  vline = NULL,
  vline_lty = 2,
  vline_col = "red",
  ...
)
}
\arguments{
\item{x}{object of class mrs_data.}

\item{dyn}{the dynamic index to plot.}

\item{x_pos}{the x index to plot.}

\item{y_pos}{the y index to plot.}

\item{z_pos}{the z index to plot.}

\item{coil}{the coil element number to plot.}

\item{fd}{display data in the frequency-domain (default), or time-domain
(logical).}

\item{x_units}{the units to use for the x-axis, can be one of: "ppm", "hz",
"points" or "seconds".}

\item{xlim}{the range of values to display on the x-axis, eg xlim = c(4,1).}

\item{y_scale}{option to display the y-axis values (logical).}

\item{x_ax}{option to display the x-axis values (logical).}

\item{mode}{representation of the complex numbers to be plotted, can be one
of: "re", "im", "mod" or "arg".}

\item{lwd}{plot linewidth.}

\item{bty}{option to draw a box around the plot. See ?par.}

\item{label}{character string to add to the top left of the plot window.}

\item{restore_def_par}{restore default plotting par values after the plot has
been made.}

\item{mar}{option to adjust the plot margins. See ?par.}

\item{xaxis_lab}{x-axis label.}

\item{yaxis_lab}{y-axis label.}

\item{xat}{x-axis tick label values.}

\item{xlabs}{x-axis tick labels.}

\item{yat}{y-axis tick label values.}

\item{ylabs}{y-axis tick labels.}

\item{show_grid}{plot gridlines behind the data (logical). Defaults to TRUE.}

\item{grid_nx}{number of cells of the grid in x and y direction. When NULL
the grid aligns with the tick marks on the corresponding default axis (i.e.,
tickmarks as computed by axTicks). When NA, no grid lines are drawn in the
corresponding direction.}

\item{grid_ny}{as above.}

\item{col}{set the line colour, eg col = rgb(0.5, 0.5, 0.5).}

\item{alpha}{set the line transparency, eg alpha = 0.5 is 50\% transparency.
Overrides any transparency levels set by col.}

\item{bl_lty}{linetype for the y = 0 baseline trace. A default value NULL
results in no baseline being plotted.}

\item{hline}{add a horizontal line at the specified value.}

\item{hline_lty}{linetype for the horizontal line.}

\item{hline_col}{colour for the horizontal line.}

\item{vline}{add a vertical line at the specified value.}

\item{vline_lty}{linetype for the vertical line.}

\item{vline_col}{colour for the vertical line.}

\item{...}{other arguments to pass to the plot method.}
}
\description{
Plotting method for objects of class mrs_data.
}
